Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.texture.spi
Class LEDataInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              com.sun.opengl.util.texture.spi.LEDataInputStream

All Implemented Interfaces:
  Closeable, DataInput

    public class LEDataInputStream

extends FilterInputStream
implements DataInput

Little Endian Data Input Stream. This class implements an input stream filter to allow reading of java native datatypes from an input stream which has those native datatypes stored in a little endian byte order.

This is the sister class of the DataInputStream which allows for reading of java native datatypes from an input stream with the datatypes stored in big endian byte order.

This class implements the minimum required and calls DataInputStream for some of the required methods for DataInput.

Not all methods are implemented due to lack of immediatte requirement for that functionality. It is not clear if it is ever going to be functionally required to be able to read UTF data in a LittleEndianManner

Version:
  1.1 15/Dec/1997
Author:
  Robin Luiten

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`LEDataInputStream(InputStream in)`

Method Summary
`void` | `close()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`int` | `readInt()`
`String` | `readLine()` dont call this it is not implemented.
`long` | `readLong()`
`short` | `readShort()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`String` | `readUTF()` dont call this it is not implemented
`static String` | `readUTF(DataInput in)` dont call this it is not implemented
`int` | `skipBytes(int n)`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LEDataInputStream

    public LEDataInputStream(InputStream in)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterInputStream`
  Throws:
    `IOException`

### read

    public final int read(byte[] b)
                   throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### read

    public final int read(byte[] b,
                          int off,
                          int len)
                   throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### readFully

    public final void readFully(byte[] b)
                         throws IOException

  Specified by:
    `readFully` in interface `DataInput`
  Throws:
    `IOException`

### readFully

    public final void readFully(byte[] b,
                                int off,
                                int len)
                         throws IOException

  Specified by:
    `readFully` in interface `DataInput`
  Throws:
    `IOException`

### skipBytes

    public final int skipBytes(int n)
                        throws IOException

  Specified by:
    `skipBytes` in interface `DataInput`
  Throws:
    `IOException`

### readBoolean

    public final boolean readBoolean()
                              throws IOException

  Specified by:
    `readBoolean` in interface `DataInput`
  Throws:
    `IOException`

### readByte

    public final byte readByte()
                        throws IOException

  Specified by:
    `readByte` in interface `DataInput`
  Throws:
    `IOException`

### readUnsignedByte

    public final int readUnsignedByte()
                               throws IOException

  Specified by:
    `readUnsignedByte` in interface `DataInput`
  Throws:
    `IOException`

### readShort

    public final short readShort()
                          throws IOException

  Specified by:
    `readShort` in interface `DataInput`
  Throws:
    `IOException`

### readUnsignedShort

    public final int readUnsignedShort()
                                throws IOException

  Specified by:
    `readUnsignedShort` in interface `DataInput`
  Throws:
    `IOException`

### readChar

    public final char readChar()
                        throws IOException

  Specified by:
    `readChar` in interface `DataInput`
  Throws:
    `IOException`

### readInt

    public final int readInt()
                      throws IOException

  Specified by:
    `readInt` in interface `DataInput`
  Throws:
    `IOException`

### readLong

    public final long readLong()
                        throws IOException

  Specified by:
    `readLong` in interface `DataInput`
  Throws:
    `IOException`

### readFloat

    public final float readFloat()
                          throws IOException

  Specified by:
    `readFloat` in interface `DataInput`
  Throws:
    `IOException`

### readDouble

    public final double readDouble()
                            throws IOException

  Specified by:
    `readDouble` in interface `DataInput`
  Throws:
    `IOException`

### readLine

    public final String readLine()
                          throws IOException

  dont call this it is not implemented.

  Specified by:
    `readLine` in interface `DataInput`
  Returns:
    empty new string
  Throws:
    `IOException`

### readUTF

    public final String readUTF()
                         throws IOException

  dont call this it is not implemented

  Specified by:
    `readUTF` in interface `DataInput`
  Returns:
    empty new string
  Throws:
    `IOException`

### readUTF

    public static final String readUTF(DataInput in)
                                throws IOException

  dont call this it is not implemented

  Returns:
    empty new string
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.